Derive a child address
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', metadata: {}})
};
fetch('https://api.prudra.dev/wallet-infra/master-wallets/{id}/child-addresses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.prudra.dev/wallet-infra/master-wallets/{id}/child-addresses"
payload = {
"name": "<string>",
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)curl --request POST \
--url https://api.prudra.dev/wallet-infra/master-wallets/{id}/child-addresses \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"metadata": {}
}
'{
"id": "cad_xyz789",
"address": "0x...",
"derivationPath": "m/44'/60'/0'/0/1",
"masterWalletId": "mwt_abc123",
"name": "Customer A"
}Wallets
Derive a child address
Derives a new child address from a master wallet using HD derivation.
POST
/
wallet-infra
/
master-wallets
/
{id}
/
child-addresses
Derive a child address
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', metadata: {}})
};
fetch('https://api.prudra.dev/wallet-infra/master-wallets/{id}/child-addresses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.prudra.dev/wallet-infra/master-wallets/{id}/child-addresses"
payload = {
"name": "<string>",
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)curl --request POST \
--url https://api.prudra.dev/wallet-infra/master-wallets/{id}/child-addresses \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"metadata": {}
}
'{
"id": "cad_xyz789",
"address": "0x...",
"derivationPath": "m/44'/60'/0'/0/1",
"masterWalletId": "mwt_abc123",
"name": "Customer A"
}Authorizations
Your Prudra API key. Get one at dashboard.prudra.com/settings/api-keys

